Skip to main content
POST
/
messages
/
sticker
curl --request POST \ --url https://api.wsapi.chat/messages/sticker \ --header 'Content-Type: application/json' \ --header 'X-Api-Key: <api-key>' \ --header 'X-Instance-Id: <x-instance-id>' \ --data ' { "to": "1234567890@s.whatsapp.net", "url": "https://example.com/sticker.webp", "isAnimated": false } '
{
  "id": "01234567890123456"
}

Authorizations

X-Api-Key
string
header
required

Instance or customer-level API key. Either the instance's own API key or the customer's API key is accepted. Must be paired with the X-Instance-Id header to identify the target instance.

Headers

X-Instance-Id
string
default:{{instanceId}}
required

The ID of the WhatsApp instance to use

Body

application/json
to
string
required
data
string

Base64-encoded sticker data (WebP, mutually exclusive with url)

url
string<uri>

URL to download the sticker from (mutually exclusive with data, max 50 MB)

isAnimated
boolean
mentions
string[]
replyTo
string
replyToSenderId
string
isForwarded
boolean
ephemeralExpiration
enum<string>
Available options:
off,
24h,
7d,
90d

Response

Resource created

id
string

ID of the created resource